Module ij
Package ij.plugin

# Class TextReader

java.lang.Object
ij.plugin.TextReader

All Implemented Interfaces:
  `PlugIn`

public class TextReader extends Object implements PlugIn
This plugin opens a tab or comma delimeted text file as an image. Modified to accept commas as delimiters on 4/22/08 by Jay Unruh, Stowers Institute for Medical Research.

## Constructor Summary

Constructors
Constructor
Description
`TextReader()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the file name.
`void`
`hideErrorMessages()`
`ImageProcessor`
`open()`
Displays a file open dialog and opens the specified text file as a float image.
`ImageProcessor`
`open(String path)`
Opens the specified text file as a float image.
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextReader

public TextReader()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### open

public ImageProcessor open()
Displays a file open dialog and opens the specified text file as a float image.

### open

public ImageProcessor open(String path)
Opens the specified text file as a float image.

### hideErrorMessages

public void hideErrorMessages()

### getName

public String getName()
Returns the file name.